# Class MetadataResultConstants

java.lang.Object
com.databricks.jdbc.common.MetadataResultConstants

public class MetadataResultConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<ResultColumn>`
`ATTRIBUTES_COLUMNS`
`static final List<ResultColumn>`
`BEST_ROW_IDENTIFIER_COLUMNS`
`static final ResultColumn`
`BUFFER_LENGTH_COLUMN`
`static final ResultColumn`
`CATALOG_COLUMN`
`static List<ResultColumn>`
`CATALOG_COLUMNS`
`static final ResultColumn`
`CATALOG_FULL_COLUMN`
`static final ResultColumn`
`CATALOG_RESULT_COLUMN`
`static final ResultColumn`
`CHAR_OCTET_LENGTH_COLUMN`
`static final ResultColumn`
`COL_NAME_COLUMN`
`static List<ResultColumn>`
`COLUMN_COLUMNS`
`static final ResultColumn`
`COLUMN_DEF_COLUMN`
`static final List<ResultColumn>`
`COLUMN_PRIVILEGES_COLUMNS`
`static final ResultColumn`
`COLUMN_SIZE_COLUMN`
`static final ResultColumn`
`COLUMN_TYPE_COLUMN`
`static List<ResultColumn>`
`CROSS_REFERENCE_COLUMNS`
`static final ResultColumn`
`DATA_TYPE_COLUMN`
`static final ResultColumn`
`DECIMAL_DIGITS_COLUMN`
`static final String[]`
`DEFAULT_TABLE_TYPES`
`static final ResultColumn`
`DEFERRABILITY`
`static final ResultColumn`
`DELETE_RULE`
`static final List<ResultColumn>`
`EXPORTED_KEYS_COLUMNS`
`static final ResultColumn`
`FK_NAME`
`static final ResultColumn`
`FKCOLUMN_NAME`
`static final ResultColumn`
`FKTABLE_CAT`
`static final ResultColumn`
`FKTABLE_NAME`
`static final ResultColumn`
`FKTABLE_SCHEM`
`static final ResultColumn`
`FUNCTION_CATALOG_COLUMN`
`static List<ResultColumn>`
`FUNCTION_COLUMNS`
`static final List<ResultColumn>`
`FUNCTION_COLUMNS_COLUMNS`
`static final ResultColumn`
`FUNCTION_NAME_COLUMN`
`static final ResultColumn`
`FUNCTION_SCHEMA_COLUMN`
`static final ResultColumn`
`FUNCTION_TYPE_COLUMN`
`static final List<ResultColumn>`
`IMPORTED_KEYS_COLUMNS`
`static final List<ResultColumn>`
`INDEX_INFO_COLUMNS`
`static final ResultColumn`
`IS_AUTO_INCREMENT_COLUMN`
`static final ResultColumn`
`IS_GENERATED_COLUMN`
`static final ResultColumn`
`IS_NULLABLE_COLUMN`
`static final ResultColumn`
`KEY_SEQUENCE_COLUMN`
`static final List<ResultColumn>`
`LARGE_DISPLAY_COLUMNS`
`static final Map<CommandName,List<ResultColumn>>`
`NON_NULLABLE_COLUMNS_MAP`
`static final List<ResultColumn>`
`NULL_COLUMN_COLUMNS`
`static String`
`NULL_STRING`
`static final List<ResultColumn>`
`NULL_TABLE_COLUMNS`
`static final ResultColumn`
`NULLABLE_COLUMN`
`static final ResultColumn`
`NUM_PREC_RADIX_COLUMN`
`static final ResultColumn`
`ORDINAL_POSITION_COLUMN`
`static final String`
`PARSE_SYNTAX_ERROR_SQL_STATE`
`static final ResultColumn`
`PK_NAME`
`static final ResultColumn`
`PKCOLUMN_NAME`
`static final ResultColumn`
`PKTABLE_CAT`
`static final ResultColumn`
`PKTABLE_NAME`
`static final ResultColumn`
`PKTABLE_SCHEM`
`static final ResultColumn`
`PRIMARY_KEY_NAME_COLUMN`
`static List<ResultColumn>`
`PRIMARY_KEYS_COLUMNS`
`static final List<ResultColumn>`
`PROCEDURE_COLUMNS_COLUMNS`
`static final List<ResultColumn>`
`PSEUDO_COLUMNS_COLUMNS`
`static final ResultColumn`
`REF_GENERATION_COLUMN`
`static final ResultColumn`
`REMARKS_COLUMN`
`static final ResultColumn`
`SCHEMA_COLUMN`
`static List<ResultColumn>`
`SCHEMA_COLUMNS`
`static final ResultColumn`
`SCOPE_CATALOG_COLUMN`
`static final ResultColumn`
`SCOPE_SCHEMA_COLUMN`
`static final ResultColumn`
`SCOPE_TABLE_COLUMN`
`static final ResultColumn`
`SELF_REFERENCING_COLUMN_NAME`
`static final ResultColumn`
`SOURCE_DATA_TYPE_COLUMN`
`static final ResultColumn`
`SPECIFIC_NAME_COLUMN`
`static final ResultColumn`
`SQL_DATA_TYPE_COLUMN`
`static final ResultColumn`
`SQL_DATETIME_SUB_COLUMN`
`static final List<ResultColumn>`
`SUPER_TABLES_COLUMNS`
`static final List<ResultColumn>`
`SUPER_TYPES_COLUMNS`
`static List<ResultColumn>`
`TABLE_COLUMNS`
`static final ResultColumn`
`TABLE_NAME_COLUMN`
`static final List<ResultColumn>`
`TABLE_PRIVILEGES_COLUMNS`
`static final ResultColumn`
`TABLE_TYPE_COLUMN`
`static List<ResultColumn>`
`TABLE_TYPE_COLUMNS`
`static List<List<Object>>`
`TABLE_TYPES_ROWS`
`static final ResultColumn`
`TYPE_CATALOG_COLUMN`
`static final ResultColumn`
`TYPE_NAME_COLUMN`
`static final ResultColumn`
`TYPE_SCHEMA_COLUMN`
`static final ResultColumn`
`UPDATE_RULE`
`static final List<ResultColumn>`
`VERSION_COLUMNS_COLUMNS`

## Constructor Summary

Constructors
Constructor
Description
`MetadataResultConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NULL_STRING

public static String NULL_STRING

### PARSE_SYNTAX_ERROR_SQL_STATE

public static final String PARSE_SYNTAX_ERROR_SQL_STATE

See Also:
  - Constant Field Values

### DEFAULT_TABLE_TYPES

public static final String[] DEFAULT_TABLE_TYPES

### CATALOG_COLUMN

public static final ResultColumn CATALOG_COLUMN

### CATALOG_FULL_COLUMN

public static final ResultColumn CATALOG_FULL_COLUMN

### CATALOG_RESULT_COLUMN

public static final ResultColumn CATALOG_RESULT_COLUMN

### TYPE_CATALOG_COLUMN

public static final ResultColumn TYPE_CATALOG_COLUMN

### TYPE_SCHEMA_COLUMN

public static final ResultColumn TYPE_SCHEMA_COLUMN

### SELF_REFERENCING_COLUMN_NAME

public static final ResultColumn SELF_REFERENCING_COLUMN_NAME

### REF_GENERATION_COLUMN

public static final ResultColumn REF_GENERATION_COLUMN

### KEY_SEQUENCE_COLUMN

public static final ResultColumn KEY_SEQUENCE_COLUMN

### PRIMARY_KEY_NAME_COLUMN

public static final ResultColumn PRIMARY_KEY_NAME_COLUMN

### TYPE_NAME_COLUMN

public static final ResultColumn TYPE_NAME_COLUMN

### SCHEMA_COLUMN

public static final ResultColumn SCHEMA_COLUMN

### TABLE_NAME_COLUMN

public static final ResultColumn TABLE_NAME_COLUMN

### TABLE_TYPE_COLUMN

public static final ResultColumn TABLE_TYPE_COLUMN

### REMARKS_COLUMN

public static final ResultColumn REMARKS_COLUMN

### COLUMN_TYPE_COLUMN

public static final ResultColumn COLUMN_TYPE_COLUMN

### BUFFER_LENGTH_COLUMN

public static final ResultColumn BUFFER_LENGTH_COLUMN

### COLUMN_SIZE_COLUMN

public static final ResultColumn COLUMN_SIZE_COLUMN

### COLUMN_DEF_COLUMN

public static final ResultColumn COLUMN_DEF_COLUMN

### DECIMAL_DIGITS_COLUMN

public static final ResultColumn DECIMAL_DIGITS_COLUMN

### COL_NAME_COLUMN

public static final ResultColumn COL_NAME_COLUMN

### FUNCTION_CATALOG_COLUMN

public static final ResultColumn FUNCTION_CATALOG_COLUMN

### FUNCTION_SCHEMA_COLUMN

public static final ResultColumn FUNCTION_SCHEMA_COLUMN

### FUNCTION_NAME_COLUMN

public static final ResultColumn FUNCTION_NAME_COLUMN

### FUNCTION_TYPE_COLUMN

public static final ResultColumn FUNCTION_TYPE_COLUMN

### SPECIFIC_NAME_COLUMN

public static final ResultColumn SPECIFIC_NAME_COLUMN

### NUM_PREC_RADIX_COLUMN

public static final ResultColumn NUM_PREC_RADIX_COLUMN

### IS_NULLABLE_COLUMN

public static final ResultColumn IS_NULLABLE_COLUMN

### SQL_DATA_TYPE_COLUMN

public static final ResultColumn SQL_DATA_TYPE_COLUMN

### DATA_TYPE_COLUMN

public static final ResultColumn DATA_TYPE_COLUMN

### SQL_DATETIME_SUB_COLUMN

public static final ResultColumn SQL_DATETIME_SUB_COLUMN

### CHAR_OCTET_LENGTH_COLUMN

public static final ResultColumn CHAR_OCTET_LENGTH_COLUMN

### SCOPE_CATALOG_COLUMN

public static final ResultColumn SCOPE_CATALOG_COLUMN

### SCOPE_SCHEMA_COLUMN

public static final ResultColumn SCOPE_SCHEMA_COLUMN

### SCOPE_TABLE_COLUMN

public static final ResultColumn SCOPE_TABLE_COLUMN

### SOURCE_DATA_TYPE_COLUMN

public static final ResultColumn SOURCE_DATA_TYPE_COLUMN

### NULLABLE_COLUMN

public static final ResultColumn NULLABLE_COLUMN

### ORDINAL_POSITION_COLUMN

public static final ResultColumn ORDINAL_POSITION_COLUMN

### IS_AUTO_INCREMENT_COLUMN

public static final ResultColumn IS_AUTO_INCREMENT_COLUMN

### IS_GENERATED_COLUMN

public static final ResultColumn IS_GENERATED_COLUMN

### PKTABLE_CAT

public static final ResultColumn PKTABLE_CAT

### PKTABLE_SCHEM

public static final ResultColumn PKTABLE_SCHEM

### PKTABLE_NAME

public static final ResultColumn PKTABLE_NAME

### PKCOLUMN_NAME

public static final ResultColumn PKCOLUMN_NAME

### FKTABLE_CAT

public static final ResultColumn FKTABLE_CAT

### FKTABLE_SCHEM

public static final ResultColumn FKTABLE_SCHEM

### FKTABLE_NAME

public static final ResultColumn FKTABLE_NAME

### FKCOLUMN_NAME

public static final ResultColumn FKCOLUMN_NAME

### UPDATE_RULE

public static final ResultColumn UPDATE_RULE

### DELETE_RULE

public static final ResultColumn DELETE_RULE

### FK_NAME

public static final ResultColumn FK_NAME

### PK_NAME

public static final ResultColumn PK_NAME

### DEFERRABILITY

public static final ResultColumn DEFERRABILITY

### FUNCTION_COLUMNS

public static List<ResultColumn> FUNCTION_COLUMNS

### COLUMN_COLUMNS

public static List<ResultColumn> COLUMN_COLUMNS

### CATALOG_COLUMNS

public static List<ResultColumn> CATALOG_COLUMNS

### SCHEMA_COLUMNS

public static List<ResultColumn> SCHEMA_COLUMNS

### TABLE_COLUMNS

public static List<ResultColumn> TABLE_COLUMNS

### PRIMARY_KEYS_COLUMNS

public static List<ResultColumn> PRIMARY_KEYS_COLUMNS

### TABLE_TYPES_ROWS

public static List<List<Object>> TABLE_TYPES_ROWS

### TABLE_TYPE_COLUMNS

public static List<ResultColumn> TABLE_TYPE_COLUMNS

### NULL_COLUMN_COLUMNS

public static final List<ResultColumn> NULL_COLUMN_COLUMNS

### NULL_TABLE_COLUMNS

public static final List<ResultColumn> NULL_TABLE_COLUMNS

### LARGE_DISPLAY_COLUMNS

public static final List<ResultColumn> LARGE_DISPLAY_COLUMNS

### ATTRIBUTES_COLUMNS

public static final List<ResultColumn> ATTRIBUTES_COLUMNS

### COLUMN_PRIVILEGES_COLUMNS

public static final List<ResultColumn> COLUMN_PRIVILEGES_COLUMNS

### BEST_ROW_IDENTIFIER_COLUMNS

public static final List<ResultColumn> BEST_ROW_IDENTIFIER_COLUMNS

### CROSS_REFERENCE_COLUMNS

public static List<ResultColumn> CROSS_REFERENCE_COLUMNS

### TABLE_PRIVILEGES_COLUMNS

public static final List<ResultColumn> TABLE_PRIVILEGES_COLUMNS

### VERSION_COLUMNS_COLUMNS

public static final List<ResultColumn> VERSION_COLUMNS_COLUMNS

### SUPER_TYPES_COLUMNS

public static final List<ResultColumn> SUPER_TYPES_COLUMNS

### PROCEDURE_COLUMNS_COLUMNS

public static final List<ResultColumn> PROCEDURE_COLUMNS_COLUMNS

### INDEX_INFO_COLUMNS

public static final List<ResultColumn> INDEX_INFO_COLUMNS

### SUPER_TABLES_COLUMNS

public static final List<ResultColumn> SUPER_TABLES_COLUMNS

### FUNCTION_COLUMNS_COLUMNS

public static final List<ResultColumn> FUNCTION_COLUMNS_COLUMNS

### PSEUDO_COLUMNS_COLUMNS

public static final List<ResultColumn> PSEUDO_COLUMNS_COLUMNS

### IMPORTED_KEYS_COLUMNS

public static final List<ResultColumn> IMPORTED_KEYS_COLUMNS

### EXPORTED_KEYS_COLUMNS

public static final List<ResultColumn> EXPORTED_KEYS_COLUMNS

### NON_NULLABLE_COLUMNS_MAP

public static final Map<CommandName,List<ResultColumn>> NON_NULLABLE_COLUMNS_MAP

## Constructor Details

### MetadataResultConstants

public MetadataResultConstants()